#!/usr/bin/env python3
from abc import ABC, abstractmethod

"""
Abstract base class for Sender
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "abcpreprocessor"
__version__text__ = "1"


class AbcPreProcessor(ABC):
    """
    Abstract base class PreProcessor. Responsible for manipulating input data from a sensor.
    """
    @abstractmethod
    def preprocesssignal(self, signal):
        """
        Preprocess a signal.
        :return:
        """
        pass
