#!/usr/bin/env python3
from abc import ABC, abstractmethod

"""
Abstract base class for Sender
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "abcsender"
__version__text__ = "1"


class AbcSender(ABC):
    """
    Abstract base class Sender. Responsible for sending results to the cloud.
    """
    @abstractmethod
    def sendvalue(self, value, decision):
        """
        Send a value to the cloud.
        :return:
        """
        pass
