#!/usr/bin/env python3
from abc import ABC, abstractmethod

"""
Abstract base class for Sensor
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "abcsensor"
__version__text__ = "1"


class AbcSensor(ABC):
    """
    Abstract base class Sensor. Responsible for value retrieval from hardware sensors.
    """
    @abstractmethod
    def getvalue(self):
        """
        Retrieve a value from a sensor.
        :return:
        """
        pass
